/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.0
 *
 * @date        2023-03-30
 *
 * @attention
 *
 *  Copyright (C) 2023 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H

#include "apm32a0xx.h"

/** @addtogroup Examples
  @{
  */

/** @addtogroup COMP_AnalogWatchdog
  @{
  */
  
/** @defgroup COMP_AnalogWatchdog_Macros Macros
  @{
*/

/**@} end of group COMP_AnalogWatchdog_Macros */

/** @defgroup COMP_AnalogWatchdog_Enumerations Enumerations
  @{
*/

/**@} end of group COMP_AnalogWatchdog_Enumerations */

/** @defgroup COMP_AnalogWatchdog_Structures Structures
  @{
*/

/**@} end of group COMP_AnalogWatchdog_Structures */

/** @defgroup COMP_AnalogWatchdog_Variables Variables
  @{
*/

/**@} end of group COMP_AnalogWatchdog_Variables */

/** @defgroup COMP_AnalogWatchdog_Functions Functions
  @{
  */
extern void ADC_COMP_Isr(void);

#ifdef __cplusplus
}
#endif

#endif

/**@} end of group COMP_AnalogWatchdog_Functions */
/**@} end of group COMP_AnalogWatchdog */
/**@} end of group Examples */
