/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.0
 *
 * @date        2023-03-30
 *
 * @attention
 *
 *  Copyright (C) 2023 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Includes */
#include "stdint.h"

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H

/** @addtogroup Examples
  @{
  */

/** @addtogroup CRC_8BitsCRCMessage
  @{
  */
  
/** @defgroup CRC_8BitsCRCMessage_Macros Macros
  @{
*/

/**@} end of group CRC_8BitsCRCMessage_Macros */

/** @defgroup CRC_8BitsCRCMessage_Enumerations Enumerations
  @{
*/

/**@} end of group CRC_8BitsCRCMessage_Enumerations */

/** @defgroup CRC_8BitsCRCMessage_Structures Structures
  @{
*/

/**@} end of group CRC_8BitsCRCMessage_Structures */

/** @defgroup CRC_8BitsCRCMessage_Variables Variables
  @{
*/

/**@} end of group CRC_8BitsCRCMessage_Variables */

/** @defgroup CRC_8BitsCRCMessage_Functions Functions
  @{
  */

#ifdef __cplusplus
}
#endif

#endif

/**@} end of group CRC_8BitsCRCMessage_Functions */
/**@} end of group CRC_8BitsCRCMessage */
/**@} end of group Examples */
