/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.0
 *
 * @date        2023-03-30
 *
 * @attention
 *
 *  Copyright (C) 2023 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H


/** @addtogroup Examples
  @{
  */

/** @addtogroup PMU_Stop
  @{
  */
  
/** @defgroup PMU_Stop_Macros Macros
  @{
*/

/**@} end of group PMU_Stop_Macros */

/** @defgroup PMU_Stop_Enumerations Enumerations
  @{
*/

/**@} end of group PMU_Stop_Enumerations */

/** @defgroup PMU_Stop_Structures Structures
  @{
*/

/**@} end of group PMU_Stop_Structures */

/** @defgroup PMU_Stop_Variables Variables
  @{
*/

/**@} end of group PMU_Stop_Variables */

/** @defgroup PMU_Stop_Functions Functions
  @{
  */

extern void EINT_Enter_In_Isr(void);
extern void EINT_WakeUp_From_Isr(void);

#ifdef __cplusplus
}
#endif

#endif

/**@} end of group PMU_Stop_Functions */
/**@} end of group PMU_Stop */
/**@} end of group Examples */
