/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.0
 *
 * @date        2023-03-30
 *
 * @attention
 *
 *  Copyright (C) 2022 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/** @addtogroup Examples
  @{
  */

/** @addtogroup DAC_NoiseWave
  @{
  */

/** @defgroup DAC_NoiseWave_Macros Macros
  @{
  */

/**@} end of group DAC_NoiseWave_Macros */

/** @defgroup DAC_NoiseWave_Enumerations Enumerations
  @{
  */

/**@} end of group DAC_NoiseWave_Enumerations */

/** @defgroup DAC_NoiseWave_Structures Structures
  @{
  */

/**@} end of group DAC_NoiseWave_Structures */

/** @defgroup DAC_NoiseWave_Variables Variables
  @{
  */

/**@} end of group DAC_NoiseWave_Variables */

/** @defgroup DAC_NoiseWave_Functions Functions
  @{
  */

#ifdef __cplusplus
}
#endif

#endif

/**@} end of group DAC_NoiseWave_Functions */
/**@} end of group DAC_NoiseWave */
/**@} end of group Examples */
